How to Install Notepad++ on Ubuntu

Notepad++ is one the best tool for developers. Notepad++ is a free and powerful source code editor and Notepad replacement that supports several languages. There are 3rd party plugins available to extend the functionality of the Notepad++.

If you are using windows, you can simply go to this link and download exe file to install it.

If you want to use it on Ubuntu, you would need to make some changes. Good news is that Notepad++ is now (unofficially) available as a Snap package for Linux user.

Step#1 install snapd

check if you have snapd install on your machin by using following command

$ sudo apt list --installed | grep -i snapd

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libsnapd-glib1/now 1.13-0ubuntu0.16.04.1 amd64 [installed,upgradable to: 1.33-0ubuntu0.16.04.1]
snapd/xenial-updates,now 2.34.2 amd64 [installed,automatic]
snapd-login-service/now 1.13-0ubuntu0.16.04.1 amd64 [installed,upgradable to: 1.33-0ubuntu0.16.04.1]
snapd-xdg-open/xenial-updates,now 2.34.2 amd64 [installed]

If you don’t see last line “snapd-xdg-open”, please run following command

sudo apt-get install snapd snapd-xdg-open

Step#2 Install Notepad++

After snap installation is completed, you can install notepad++ using following command

sudo snap install notepad-plus-plus

it will take some time based on your network speed. in my case, it was stuck at following for lot longer

Automatically connect eligible plugs and slots of snap "notepad-plus-plus"

Once installation is complete, you can start using notepad++

How to search file in Ubuntu

Searching file using search box can be tedious or utterly slow, you can search any file on your hard-drive using following command.

I had to seach image named “IMG_7961.JPG" I used following command on terminal

$ tree -f  / | grep IMG_7961
│   │   │   │   ├── /media/conquistador/Data/recovered data/IMG_7961.JPG
│   │   │   │   │   ├── /media/conquistador/Data1/20181028 Ghorwadeshwar/converted/IMG_7961.jpg
│   │   │   │   │   ├── /media/conquistador/Data1/20181028 Ghorwadeshwar/converted/IMG_7961.jpg.out.pp3
│   │   │   │   ├── /media/conquistador/Data1/20181028 Ghorwadeshwar/IMG_7961.JPG
│   │   │   │   ├── /media/conquistador/Data1/20181028 Ghorwadeshwar/IMG_7961.JPG.pp3
│   │       │   │   ├── /media/conquistador/PRAVINDSLR/DCIM/100CANON/IMG_7961.CR2
│   │       │   │   ├── /media/conquistador/PRAVINDSLR/DCIM/100CANON/IMG_7961.JPG

How to Install Google Fonts on Ubuntu

Google Fonts large collection and different types of fonts. These can be used not just for your websites but also on your desktop/Laptop as well.

And yes, google officially allows downloading and install google fonts on your computer. Please follow along.

Step#1 Download required google fonts

Go to Google fonts home page and click on + sign of the font that you would like to download.

 

Once you select require font, it will get added to selected font window(just like shopping cart). Click on the window header to open it fully. In this article we will try to install font called as “Lora”. Selection window will open something like below.

Click on download sign on right hand upper corner to download the files. It will download a zip file “Lora.zip”

Step#2 :Unzip and Install the Google Font

Now extract the zip file. Once you double click on the TTF (TrueType Fonts) or OTF (Open Type Fonts) file, it will open with Font Viewer. Click on install at right hand upper corner.

Note: Downloaded and unzipped folder will contain Lora-Bold.ttf, Lora-BoldItalic.ttf, Lora-Italic.ttf and Lora-Regular.ttf. You need to install all files individually.

You installation is complete, “install” buttom at top right will get changed to “Installed”

Now open and application like Libre Office or GIMP and you will be able to access the installed fonts

Another way to install the fonts ?

The fonts that you have installed are kept at following location

~/.local/share/fonts

If you want to install a font using command prompt or want to install multiple fonts, simple move fonts files to this folder (either manually from GUI or from terminal) and it will be accessible in your application.

How to resolve error “The requested nginx plugin does not appear to be installed”

I had installed letsencrypt ssl as per this tutorial and these were working fine, however when I tried to install new certificate I got following error

$ sudo certbot --nginx -d vatadya.com -d www.vatadya.com
Saving debug log to /var/log/letsencrypt/letsencrypt.log
The requested nginx plugin does not appear to be installed

I reinstall PPA from repository ppa:certbot/certbot and reinstalled “python-certbot-nginx”, still it did not resolved the problem. Finally, following installation resolved the error.

$ sudo python3.6 -m pip install certbot-nginx

Once this was installed, following command worked fine

$ sudo certbot --nginx -d example.com -d www.example.com

How to resolve error “Authentication is needed to run /bin/cp’ as the super user” error

While editing code in sublime text, I got error. I got away from this error by savin my file by providng the password but it became irritating when I need to provide password everytime saving the file.

Here is the snapshot of the error:

 

This error is coming because the directory is not owned by the logged in user. to avoid this error simply you need to transfer ownership. Run following command on terminal

sudo chown $USER -R /foldername

 

How to list All Installed packages – Ubuntu – sudo apt list

Many a times, we need to know list of installed packages on Ubuntu. We will achieve required task by using apt command. apt is a command-line interface which allows actions such as installing new software packages, removing unnecessary software packages, it can be used for updating the existing software packages as well as  searching for specific software packages etc.

sudo apt list --installed

This output might overwhelm you, if you want to check if specific package is installed, you can check this by following command

sudo apt list --installed | grep -i google

If you want to remove any application, use following commaand

sudo apt-get remove <application_name>

Sometimes applications is split up into multiple packages. In such cases, to uninstall all related packages and configurations, use following command

sudo apt-get purge <application_name> 

How to Install Google Chrome on Ubuntu

Gone are the days where you had to find a hack to install chrome on ubuntu. Google now officially provide *.deb package for installation on Ubuntu ( and *.rpm for fedora).

Step#1 Download the google package

Go to this link https://www.google.com/intl/en_in/chrome/ and click on download

 

Once you click on “Accept and Install”, following pop up will come.

Step#2 Install the package

If you have chosen to open with software package, once download is completed, it will open with software installer, as shown below

If you want to install it later, simply double click on google-chrome-stable_current_amd64.deb file and it will open with software installer, just like windows.

If you want to install using terminal use following commands. Run second command only if there are errors with unresolved dependencies.

sudo dpkg -i google-chrome-stable_current_amd64
sudo apt-get install -f

 

 

 

 

How to delete or renew Letsencrypt Certificate

I Normally we will let issues certificate to expire as per timeline but sometimes we might have to revoke or delete the SSL certificate. Please follow below steps to do so.

Checking where files are stored.

Let us go to/etc/letsencrypt and you will find following folder structure

/etc/letsencrypt$ ls -la
total 56
drwxr-xr-x  9 root root 4096 Aug 19 17:12 .
drwxr-xr-x 99 root root 4096 Aug 15 06:39 ..
drwx------  4 root root 4096 May  1 12:24 accounts
drwx------  8 root root 4096 Aug 19 12:27 archive
-rw-r--r--  1 root root  121 Mar 21 10:24 cli.ini
drwxr-xr-x  2 root root 4096 Aug 19 12:27 csr
drwx------  2 root root 4096 Aug 19 12:27 keys
drwx------  8 root root 4096 Aug 19 12:27 live
-rw-r--r--  1 root root 1143 May  1 11:50 options-ssl-nginx.conf
drwxr-xr-x  2 root root 4096 Aug 19 12:27 renewal
drwxr-xr-x  5 root root 4096 May  1 11:50 renewal-hooks
-rw-r--r--  1 root root  424 May  1 11:50 ssl-dhparams.pem
-rw-r--r--  1 root root   64 May  1 11:50 .updated-options-ssl-nginx-conf-digest.txt
-rw-r--r--  1 root root   64 May  1 11:50 .updated-ssl-dhparams-pem-digest.txt

I tried to access account and archive folder but it did not let me

/etc/letsencrypt$ cd accounts/
-bash: cd: accounts/: Permission denied

Let us find where required domains are stored

/etc/letsencrypt$ sudo find /etc/letsencrypt/ -name "*techtrekking*"
/etc/letsencrypt/archive/techtrekking.net
/etc/letsencrypt/live/techtrekking.net
/etc/letsencrypt/renewal/techtrekking.net.conf

Deleting the required certificate

sudo certbot delete is the simple command to delete certificates.

/etc/letsencrypt$ sudo certbot delete 
Saving debug log to /var/log/letsencrypt/letsencrypt.log

Which certificate(s) would you like to delete?
-------------------------------------------------------------------------------
1: mydomain.com
2: mydomain.com
3: mydomain.me
4: techtrekking.net
5: mydomain.com
6: mydomain.me
-------------------------------------------------------------------------------
Select the appropriate numbers separated by commas and/or spaces, or leave input
blank to select all options shown (Enter 'c' to cancel): 4

-------------------------------------------------------------------------------
Deleted all files relating to certificate techtrekking.net. ------------------------------------------------------------------------------- 

How to renew letsencrypt certificate manually

Is the simpler that i thought. simply run command sudo certbot renewand it will renew whichever certificate is due for renewal. For others, you will get message that that domain is not due for renewal yet.

/etc/letsencrypt$ sudo certbot renew
Saving debug log to /var/log/letsencrypt/letsencrypt.log

-------------------------------------------------------------------------------
Processing /etc/letsencrypt/renewal/mydomain.com.conf
-------------------------------------------------------------------------------
Cert not yet due for renewal

-------------------------------------------------------------------------------
Processing /etc/letsencrypt/renewal/mydomain.me.conf
-------------------------------------------------------------------------------
Cert not yet due for renewal

-------------------------------------------------------------------------------
Processing /etc/letsencrypt/renewal/mydomain.net.conf
-------------------------------------------------------------------------------
Cert not yet due for renewal

-------------------------------------------------------------------------------
Processing /etc/letsencrypt/renewal/mydomain.com.conf
-------------------------------------------------------------------------------
Cert not yet due for renewal

-------------------------------------------------------------------------------
Processing /etc/letsencrypt/renewal/mydomain.me.conf
-------------------------------------------------------------------------------
Cert not yet due for renewal

-------------------------------------------------------------------------------

The following certs are not due for renewal yet:
  /etc/letsencrypt/live/mydomain.com/fullchain.pem expires on 2018-09-28 (skipped)
  /etc/letsencrypt/live/mydomain.me/fullchain.pem expires on 2018-11-09 (skipped)
  /etc/letsencrypt/live/techtrekking.net/fullchain.pem expires on 2018-09-28 (skipped)
  /etc/letsencrypt/live/mydomain.com/fullchain.pem expires on 2018-11-17 (skipped)
  /etc/letsencrypt/live/mydomain.me/fullchain.pem expires on 2018-11-09 (skipped)
No renewals were attempted.

How to install adobe acrobat reader Ubuntu16.04

Adobe acrobar reader is very user friendly and if you are used to it, any alternative seems incomplete. If you are using Windows and Mac user, you can download Adobe acrobat reader for this link, however, if you are Ubuntu user, there is no download option.

However, this will not stop you from using your favorite pdf reader. Please follow below steps and you are all set.

  • Step#1 Install dependencies

sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386
  • Step#2 Install Adobe Reader

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update 
sudo apt-get install adobereader-en

If you are facing any issues with last command use following

sudo apt install adoberead-bin:i386
  • Step#3 Remove precise repository

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update

 

It take some time for installation. Here is the output.

$ sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386
Reading package lists... Done
Building dependency tree 
Reading state information... Done
The following additional packages will be installed:
libasound2:i386 libatk-bridge2.0-0:i386 libatk1.0-0:i386 libatspi2.0-0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386
libcairo2:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcomerr2:i386 libcups2:i386 libdatrie1:i386 libdbus-1-3:i386 libexpat1:i386 libffi6:i386
libfontconfig1:i386 libfreetype6:i386 libgail18:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgmp10:i386 libgnutls30:i386 libgraphite2-3:i386
libgssapi-krb5-2:i386 libgtk2.0-0:i386 libharfbuzz0b:i386 libhogweed4:i386 libidn11:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386
libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 libltdl7:i386 libnettle6:i386 libogg0:i386 libp11-kit0:i386
libpango-1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpixman-1-0:i386 libpng12-0:i386 libsystemd0:i386 libtasn1-6:i386
libtdb1:i386 libthai0:i386 libtiff5:i386 libvorbis0a:i386 libvorbisfile3:i386 libx11-6:i386 libxau6:i386 libxcb-render0:i386 libxcb-shm0:i386
libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386 libxinerama1:i386
libxrandr2:i386 libxrender1:i386 zlib1g:i386
Suggested packages:
murrine-themes:i386 libasound2-plugins:i386 libcanberra-pulse:i386 gnutls-bin:i386 krb5-doc:i386 krb5-user:i386 librsvg2-common:i386 gvfs:i386
The following NEW packages will be installed:
gtk2-engines-murrine:i386 libasound2:i386 libatk-adaptor:i386 libatk-bridge2.0-0:i386 libatk1.0-0:i386 libatspi2.0-0:i386 libavahi-client3:i386
libavahi-common-data:i386 libavahi-common3:i386 libcairo2:i386 libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcomerr2:i386
libcups2:i386 libdatrie1:i386 libdbus-1-3:i386 libexpat1:i386 libffi6:i386 libfontconfig1:i386 libfreetype6:i386 libgail-common:i386
libgail18:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgmp10:i386 libgnutls30:i386 libgraphite2-3:i386 libgssapi-krb5-2:i386 libgtk2.0-0:i386
libharfbuzz0b:i386 libhogweed4:i386 libidn11:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386
libkrb5-3:i386 libkrb5support0:i386 libltdl7:i386 libnettle6:i386 libogg0:i386 libp11-kit0:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386
libpangoft2-1.0-0:i386 libpixman-1-0:i386 libpng12-0:i386 libsystemd0:i386 libtasn1-6:i386 libtdb1:i386 libthai0:i386 libtiff5:i386
libvorbis0a:i386 libvorbisfile3:i386 libx11-6:i386 libxau6:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb1:i386 libxcomposite1:i386
libxcursor1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386
zlib1g:i386
0 upgraded, 72 newly installed, 0 to remove and 98 not upgraded.
Need to get 10.1 MB of archives.
After this operation, 33.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libsystemd0 i386 229-4ubuntu21.2 [222 kB]
Get:2 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main i386 libjbig0 i386 2.1-3.1+deb.sury.org~xenial+1 [26.9 kB]
Get:3 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxau6 i386 1:1.0.8-1 [8,352 B]
Get:4 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxdmcp6 i386 1:1.1.2-1.1 [11.4 kB]
Get:5 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxcb1 i386 1.11.1-1ubuntu1 [44.1 kB]
Get:6 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libx11-6 i386 2:1.6.3-1ubuntu2 [592 kB]
Get:7 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxext6 i386 2:1.3.3-1 [31.6 kB]
Get:8 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libjpeg-turbo8 i386 1.4.2-0ubuntu3 [117 kB]
Get:9 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libogg0 i386 1.3.2-1 [16.2 kB]
Get:10 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxcomposite1 i386 1:0.4.4-1 [7,594 B]
Get:11 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxdamage1 i386 1:1.1.4-2 [6,812 B]
Get:12 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxfixes3 i386 1:5.0.1-2 [11.4 kB]
Get:13 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxinerama1 i386 2:1.1.3-1 [7,900 B]
Get:14 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libcomerr2 i386 1.42.13-1ubuntu1 [65.9 kB]
Get:15 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 zlib1g i386 1:1.2.8.dfsg-2ubuntu4.1 [52.1 kB]
Get:16 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libexpat1 i386 2.1.0-7ubuntu0.16.04.3 [74.1 kB] 
Get:17 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libffi6 i386 3.2.1-4 [17.0 kB] 
Get:18 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libgmp10 i386 2:6.1.0+dfsg-2 [246 kB] 
Get:19 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libnettle6 i386 3.2-1ubuntu0.16.04.1 [110 kB] 
Get:20 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libhogweed4 i386 3.2-1ubuntu0.16.04.1 [137 kB] 
Get:21 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libidn11 i386 1.32-3ubuntu1.2 [47.9 kB] 
Get:22 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libp11-kit0 i386 0.23.2-5~ubuntu16.04.1 [109 kB] 
Get:23 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libtasn1-6 i386 4.7-3ubuntu0.16.04.3 [45.8 kB] 
Get:24 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgnutls30 i386 3.4.10-4ubuntu1.4 [569 kB] 
Get:25 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpng12-0 i386 1.2.54-1ubuntu1 [122 kB] 
Get:26 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libdbus-1-3 i386 1.10.6-1ubuntu3.3 [173 kB] 
Get:27 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libglib2.0-0 i386 2.48.2-0ubuntu1 [1,185 kB] 
Get:28 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libkrb5support0 i386 1.13.2+dfsg-5ubuntu2 [32.5 kB] 
Get:29 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libk5crypto3 i386 1.13.2+dfsg-5ubuntu2 [83.4 kB] 
Get:30 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libkeyutils1 i386 1.5.9-8ubuntu1 [10.2 kB] 
Get:31 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libkrb5-3 i386 1.13.2+dfsg-5ubuntu2 [297 kB] 
Get:32 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgssapi-krb5-2 i386 1.13.2+dfsg-5ubuntu2 [130 kB] 
Get:33 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libfreetype6 i386 2.6.1-0.1ubuntu2.3 [330 kB] 
Get:34 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libfontconfig1 i386 2.11.94-0ubuntu1.1 [140 kB] 
Get:35 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpixman-1-0 i386 0.33.6-1 [237 kB] 
Get:36 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-render0 i386 1.11.1-1ubuntu1 [12.2 kB] 
Get:37 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxcb-shm0 i386 1.11.1-1ubuntu1 [5,754 B] 
Get:38 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxrender1 i386 1:0.9.9-0ubuntu1 [19.2 kB] 
Get:39 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libcairo2 i386 1.14.6-1 [613 kB] 
Get:40 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libjpeg8 i386 8c-2ubuntu8 [2,188 B] 
Get:41 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libtiff5 i386 4.0.6-1ubuntu0.4 [159 kB] 
Get:42 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgdk-pixbuf2.0-0 i386 2.32.2-1ubuntu1.4 [169 kB] 
Get:43 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libatk1.0-0 i386 2.18.0-1 [57.5 kB] 
Get:44 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libavahi-common-data i386 0.6.32~rc+dfsg-1ubuntu2.2 [21.5 kB] 
Get:45 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libavahi-common3 i386 0.6.32~rc+dfsg-1ubuntu2.2 [23.5 kB] 
Get:46 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libavahi-client3 i386 0.6.32~rc+dfsg-1ubuntu2.2 [27.1 kB] 
Get:47 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libcups2 i386 2.1.3-4ubuntu0.4 [212 kB] 
Get:48 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libdatrie1 i386 0.2.10-2 [18.8 kB] 
Get:49 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libthai0 i386 0.1.24-2 [18.5 kB] 
Get:50 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpango-1.0-0 i386 1.38.1-1 [154 kB] 
Get:51 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgraphite2-3 i386 1.3.10-0ubuntu0.16.04.1 [74.6 kB] 
Get:52 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libharfbuzz0b i386 1.0.1-1ubuntu0.1 [148 kB] 
Get:53 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpangoft2-1.0-0 i386 1.38.1-1 [36.5 kB] 
Get:54 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpangocairo-1.0-0 i386 1.38.1-1 [22.5 kB] 
Get:55 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libxcursor1 i386 1:1.1.14-1ubuntu0.16.04.1 [21.9 kB] 
Get:56 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxi6 i386 2:1.7.6-1 [31.3 kB] 
Get:57 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxrandr2 i386 2:1.5.0-1 [19.1 kB] 
Get:58 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgtk2.0-0 i386 2.24.30-1ubuntu1.16.04.2 [1,904 kB] 
Get:59 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 gtk2-engines-murrine i386 0.98.2-0ubuntu2.2 [94.2 kB] 
Get:60 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libasound2 i386 1.1.0-0ubuntu1 [370 kB] 
Get:61 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libatspi2.0-0 i386 2.18.3-4ubuntu1 [60.9 kB] 
Get:62 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libatk-bridge2.0-0 i386 2.18.1-2ubuntu1 [58.1 kB] 
Get:63 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgail18 i386 2.24.30-1ubuntu1.16.04.2 [15.1 kB] 
Get:64 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libgail-common i386 2.24.30-1ubuntu1.16.04.2 [125 kB] 
Get:65 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libatk-adaptor i386 2.18.1-2ubuntu1 [11.1 kB] 
Get:66 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libltdl7 i386 2.4.6-0.1 [40.0 kB] 
Get:67 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libtdb1 i386 1.3.8-2 [42.5 kB] 
Get:68 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libvorbis0a i386 1.3.5-3ubuntu0.2 [85.8 kB] 
Get:69 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libvorbisfile3 i386 1.3.5-3ubuntu0.2 [18.9 kB] 
Get:70 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libcanberra0 i386 0.30-2.1ubuntu1 [37.6 kB] 
Get:71 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libcanberra-gtk0 i386 0.30-2.1ubuntu1 [8,184 B] 
Get:72 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libcanberra-gtk-module i386 0.30-2.1ubuntu1 [9,714 B] 
Fetched 10.1 MB in 59s (170 kB/s) 
Extracting templates from packages: 100%
Selecting previously unselected package libsystemd0:i386.
(Reading database ... 317757 files and directories currently installed.)
Preparing to unpack .../libsystemd0_229-4ubuntu21.2_i386.deb ...
Unpacking libsystemd0:i386 (229-4ubuntu21.2) ...
Selecting previously unselected package libxau6:i386.
Preparing to unpack .../libxau6_1%3a1.0.8-1_i386.deb ...
Unpacking libxau6:i386 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp6:i386.
Preparing to unpack .../libxdmcp6_1%3a1.1.2-1.1_i386.deb ...
Unpacking libxdmcp6:i386 (1:1.1.2-1.1) ...
Selecting previously unselected package libxcb1:i386.
Preparing to unpack .../libxcb1_1.11.1-1ubuntu1_i386.deb ...
Unpacking libxcb1:i386 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libx11-6:i386.
Preparing to unpack .../libx11-6_2%3a1.6.3-1ubuntu2_i386.deb ...
Unpacking libx11-6:i386 (2:1.6.3-1ubuntu2) ...
Selecting previously unselected package libxext6:i386.
Preparing to unpack .../libxext6_2%3a1.3.3-1_i386.deb ...
Unpacking libxext6:i386 (2:1.3.3-1) ...
Selecting previously unselected package libjpeg-turbo8:i386.
Preparing to unpack .../libjpeg-turbo8_1.4.2-0ubuntu3_i386.deb ...
Unpacking libjpeg-turbo8:i386 (1.4.2-0ubuntu3) ...
Selecting previously unselected package libogg0:i386.
Preparing to unpack .../libogg0_1.3.2-1_i386.deb ...
Unpacking libogg0:i386 (1.3.2-1) ...
Selecting previously unselected package libxcomposite1:i386.
Preparing to unpack .../libxcomposite1_1%3a0.4.4-1_i386.deb ...
Unpacking libxcomposite1:i386 (1:0.4.4-1) ...
Selecting previously unselected package libxdamage1:i386.
Preparing to unpack .../libxdamage1_1%3a1.1.4-2_i386.deb ...
Unpacking libxdamage1:i386 (1:1.1.4-2) ...
Selecting previously unselected package libxfixes3:i386.
Preparing to unpack .../libxfixes3_1%3a5.0.1-2_i386.deb ...
Unpacking libxfixes3:i386 (1:5.0.1-2) ...
Selecting previously unselected package libxinerama1:i386.
Preparing to unpack .../libxinerama1_2%3a1.1.3-1_i386.deb ...
Unpacking libxinerama1:i386 (2:1.1.3-1) ...
Selecting previously unselected package libcomerr2:i386.
Preparing to unpack .../libcomerr2_1.42.13-1ubuntu1_i386.deb ...
Unpacking libcomerr2:i386 (1.42.13-1ubuntu1) ...
Selecting previously unselected package zlib1g:i386.
Preparing to unpack .../zlib1g_1%3a1.2.8.dfsg-2ubuntu4.1_i386.deb ...
Unpacking zlib1g:i386 (1:1.2.8.dfsg-2ubuntu4.1) ...
Selecting previously unselected package libexpat1:i386.
Preparing to unpack .../libexpat1_2.1.0-7ubuntu0.16.04.3_i386.deb ...
Unpacking libexpat1:i386 (2.1.0-7ubuntu0.16.04.3) ...
Selecting previously unselected package libffi6:i386.
Preparing to unpack .../libffi6_3.2.1-4_i386.deb ...
Unpacking libffi6:i386 (3.2.1-4) ...
Selecting previously unselected package libgmp10:i386.
Preparing to unpack .../libgmp10_2%3a6.1.0+dfsg-2_i386.deb ...
Unpacking libgmp10:i386 (2:6.1.0+dfsg-2) ...
Selecting previously unselected package libnettle6:i386.
Preparing to unpack .../libnettle6_3.2-1ubuntu0.16.04.1_i386.deb ...
Unpacking libnettle6:i386 (3.2-1ubuntu0.16.04.1) ...
Selecting previously unselected package libhogweed4:i386.
Preparing to unpack .../libhogweed4_3.2-1ubuntu0.16.04.1_i386.deb ...
Unpacking libhogweed4:i386 (3.2-1ubuntu0.16.04.1) ...
Selecting previously unselected package libidn11:i386.
Preparing to unpack .../libidn11_1.32-3ubuntu1.2_i386.deb ...
Unpacking libidn11:i386 (1.32-3ubuntu1.2) ...
Selecting previously unselected package libp11-kit0:i386.
Preparing to unpack .../libp11-kit0_0.23.2-5~ubuntu16.04.1_i386.deb ...
Unpacking libp11-kit0:i386 (0.23.2-5~ubuntu16.04.1) ...
Selecting previously unselected package libtasn1-6:i386.
Preparing to unpack .../libtasn1-6_4.7-3ubuntu0.16.04.3_i386.deb ...
Unpacking libtasn1-6:i386 (4.7-3ubuntu0.16.04.3) ...
Selecting previously unselected package libgnutls30:i386.
Preparing to unpack .../libgnutls30_3.4.10-4ubuntu1.4_i386.deb ...
Unpacking libgnutls30:i386 (3.4.10-4ubuntu1.4) ...
Selecting previously unselected package libpng12-0:i386.
Preparing to unpack .../libpng12-0_1.2.54-1ubuntu1_i386.deb ...
Unpacking libpng12-0:i386 (1.2.54-1ubuntu1) ...
Selecting previously unselected package libdbus-1-3:i386.
Preparing to unpack .../libdbus-1-3_1.10.6-1ubuntu3.3_i386.deb ...
Unpacking libdbus-1-3:i386 (1.10.6-1ubuntu3.3) ...
Selecting previously unselected package libglib2.0-0:i386.
Preparing to unpack .../libglib2.0-0_2.48.2-0ubuntu1_i386.deb ...
Unpacking libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Selecting previously unselected package libkrb5support0:i386.
Preparing to unpack .../libkrb5support0_1.13.2+dfsg-5ubuntu2_i386.deb ...
Unpacking libkrb5support0:i386 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libk5crypto3:i386.
Preparing to unpack .../libk5crypto3_1.13.2+dfsg-5ubuntu2_i386.deb ...
Unpacking libk5crypto3:i386 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libkeyutils1:i386.
Preparing to unpack .../libkeyutils1_1.5.9-8ubuntu1_i386.deb ...
Unpacking libkeyutils1:i386 (1.5.9-8ubuntu1) ...
Selecting previously unselected package libkrb5-3:i386.
Preparing to unpack .../libkrb5-3_1.13.2+dfsg-5ubuntu2_i386.deb ...
Unpacking libkrb5-3:i386 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libgssapi-krb5-2:i386.
Preparing to unpack .../libgssapi-krb5-2_1.13.2+dfsg-5ubuntu2_i386.deb ...
Unpacking libgssapi-krb5-2:i386 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libfreetype6:i386.
Preparing to unpack .../libfreetype6_2.6.1-0.1ubuntu2.3_i386.deb ...
Unpacking libfreetype6:i386 (2.6.1-0.1ubuntu2.3) ...
Selecting previously unselected package libfontconfig1:i386.
Preparing to unpack .../libfontconfig1_2.11.94-0ubuntu1.1_i386.deb ...
Unpacking libfontconfig1:i386 (2.11.94-0ubuntu1.1) ...
Selecting previously unselected package libpixman-1-0:i386.
Preparing to unpack .../libpixman-1-0_0.33.6-1_i386.deb ...
Unpacking libpixman-1-0:i386 (0.33.6-1) ...
Selecting previously unselected package libxcb-render0:i386.
Preparing to unpack .../libxcb-render0_1.11.1-1ubuntu1_i386.deb ...
Unpacking libxcb-render0:i386 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libxcb-shm0:i386.
Preparing to unpack .../libxcb-shm0_1.11.1-1ubuntu1_i386.deb ...
Unpacking libxcb-shm0:i386 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libxrender1:i386.
Preparing to unpack .../libxrender1_1%3a0.9.9-0ubuntu1_i386.deb ...
Unpacking libxrender1:i386 (1:0.9.9-0ubuntu1) ...
Selecting previously unselected package libcairo2:i386.
Preparing to unpack .../libcairo2_1.14.6-1_i386.deb ...
Unpacking libcairo2:i386 (1.14.6-1) ...
Selecting previously unselected package libjpeg8:i386.
Preparing to unpack .../libjpeg8_8c-2ubuntu8_i386.deb ...
Unpacking libjpeg8:i386 (8c-2ubuntu8) ...
Selecting previously unselected package libjbig0:i386.
Preparing to unpack .../libjbig0_2.1-3.1+deb.sury.org~xenial+1_i386.deb ...
Unpacking libjbig0:i386 (2.1-3.1+deb.sury.org~xenial+1) ...
Selecting previously unselected package libtiff5:i386.
Preparing to unpack .../libtiff5_4.0.6-1ubuntu0.4_i386.deb ...
Unpacking libtiff5:i386 (4.0.6-1ubuntu0.4) ...
Selecting previously unselected package libgdk-pixbuf2.0-0:i386.
Preparing to unpack .../libgdk-pixbuf2.0-0_2.32.2-1ubuntu1.4_i386.deb ...
Unpacking libgdk-pixbuf2.0-0:i386 (2.32.2-1ubuntu1.4) ...
Selecting previously unselected package libatk1.0-0:i386.
Preparing to unpack .../libatk1.0-0_2.18.0-1_i386.deb ...
Unpacking libatk1.0-0:i386 (2.18.0-1) ...
Selecting previously unselected package libavahi-common-data:i386.
Preparing to unpack .../libavahi-common-data_0.6.32~rc+dfsg-1ubuntu2.2_i386.deb ...
Unpacking libavahi-common-data:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Selecting previously unselected package libavahi-common3:i386.
Preparing to unpack .../libavahi-common3_0.6.32~rc+dfsg-1ubuntu2.2_i386.deb ...
Unpacking libavahi-common3:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Selecting previously unselected package libavahi-client3:i386.
Preparing to unpack .../libavahi-client3_0.6.32~rc+dfsg-1ubuntu2.2_i386.deb ...
Unpacking libavahi-client3:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Selecting previously unselected package libcups2:i386.
Preparing to unpack .../libcups2_2.1.3-4ubuntu0.4_i386.deb ...
Unpacking libcups2:i386 (2.1.3-4ubuntu0.4) ...
Selecting previously unselected package libdatrie1:i386.
Preparing to unpack .../libdatrie1_0.2.10-2_i386.deb ...
Unpacking libdatrie1:i386 (0.2.10-2) ...
Selecting previously unselected package libthai0:i386.
Preparing to unpack .../libthai0_0.1.24-2_i386.deb ...
Unpacking libthai0:i386 (0.1.24-2) ...
Selecting previously unselected package libpango-1.0-0:i386.
Preparing to unpack .../libpango-1.0-0_1.38.1-1_i386.deb ...
Unpacking libpango-1.0-0:i386 (1.38.1-1) ...
Selecting previously unselected package libgraphite2-3:i386.
Preparing to unpack .../libgraphite2-3_1.3.10-0ubuntu0.16.04.1_i386.deb ...
Unpacking libgraphite2-3:i386 (1.3.10-0ubuntu0.16.04.1) ...
Selecting previously unselected package libharfbuzz0b:i386.
Preparing to unpack .../libharfbuzz0b_1.0.1-1ubuntu0.1_i386.deb ...
Unpacking libharfbuzz0b:i386 (1.0.1-1ubuntu0.1) ...
Selecting previously unselected package libpangoft2-1.0-0:i386.
Preparing to unpack .../libpangoft2-1.0-0_1.38.1-1_i386.deb ...
Unpacking libpangoft2-1.0-0:i386 (1.38.1-1) ...
Selecting previously unselected package libpangocairo-1.0-0:i386.
Preparing to unpack .../libpangocairo-1.0-0_1.38.1-1_i386.deb ...
Unpacking libpangocairo-1.0-0:i386 (1.38.1-1) ...
Selecting previously unselected package libxcursor1:i386.
Preparing to unpack .../libxcursor1_1%3a1.1.14-1ubuntu0.16.04.1_i386.deb ...
Unpacking libxcursor1:i386 (1:1.1.14-1ubuntu0.16.04.1) ...
Selecting previously unselected package libxi6:i386.
Preparing to unpack .../libxi6_2%3a1.7.6-1_i386.deb ...
Unpacking libxi6:i386 (2:1.7.6-1) ...
Selecting previously unselected package libxrandr2:i386.
Preparing to unpack .../libxrandr2_2%3a1.5.0-1_i386.deb ...
Unpacking libxrandr2:i386 (2:1.5.0-1) ...
Selecting previously unselected package libgtk2.0-0:i386.
Preparing to unpack .../libgtk2.0-0_2.24.30-1ubuntu1.16.04.2_i386.deb ...
Unpacking libgtk2.0-0:i386 (2.24.30-1ubuntu1.16.04.2) ...
Selecting previously unselected package gtk2-engines-murrine:i386.
Preparing to unpack .../gtk2-engines-murrine_0.98.2-0ubuntu2.2_i386.deb ...
Unpacking gtk2-engines-murrine:i386 (0.98.2-0ubuntu2.2) ...
Selecting previously unselected package libasound2:i386.
Preparing to unpack .../libasound2_1.1.0-0ubuntu1_i386.deb ...
Unpacking libasound2:i386 (1.1.0-0ubuntu1) ...
Selecting previously unselected package libatspi2.0-0:i386.
Preparing to unpack .../libatspi2.0-0_2.18.3-4ubuntu1_i386.deb ...
Unpacking libatspi2.0-0:i386 (2.18.3-4ubuntu1) ...
Selecting previously unselected package libatk-bridge2.0-0:i386.
Preparing to unpack .../libatk-bridge2.0-0_2.18.1-2ubuntu1_i386.deb ...
Unpacking libatk-bridge2.0-0:i386 (2.18.1-2ubuntu1) ...
Selecting previously unselected package libgail18:i386.
Preparing to unpack .../libgail18_2.24.30-1ubuntu1.16.04.2_i386.deb ...
Unpacking libgail18:i386 (2.24.30-1ubuntu1.16.04.2) ...
Selecting previously unselected package libgail-common:i386.
Preparing to unpack .../libgail-common_2.24.30-1ubuntu1.16.04.2_i386.deb ...
Unpacking libgail-common:i386 (2.24.30-1ubuntu1.16.04.2) ...
Selecting previously unselected package libatk-adaptor:i386.
Preparing to unpack .../libatk-adaptor_2.18.1-2ubuntu1_i386.deb ...
Unpacking libatk-adaptor:i386 (2.18.1-2ubuntu1) ...
Selecting previously unselected package libltdl7:i386.
Preparing to unpack .../libltdl7_2.4.6-0.1_i386.deb ...
Unpacking libltdl7:i386 (2.4.6-0.1) ...
Selecting previously unselected package libtdb1:i386.
Preparing to unpack .../libtdb1_1.3.8-2_i386.deb ...
Unpacking libtdb1:i386 (1.3.8-2) ...
Selecting previously unselected package libvorbis0a:i386.
Preparing to unpack .../libvorbis0a_1.3.5-3ubuntu0.2_i386.deb ...
Unpacking libvorbis0a:i386 (1.3.5-3ubuntu0.2) ...
Selecting previously unselected package libvorbisfile3:i386.
Preparing to unpack .../libvorbisfile3_1.3.5-3ubuntu0.2_i386.deb ...
Unpacking libvorbisfile3:i386 (1.3.5-3ubuntu0.2) ...
Selecting previously unselected package libcanberra0:i386.
Preparing to unpack .../libcanberra0_0.30-2.1ubuntu1_i386.deb ...
Unpacking libcanberra0:i386 (0.30-2.1ubuntu1) ...
Selecting previously unselected package libcanberra-gtk0:i386.
Preparing to unpack .../libcanberra-gtk0_0.30-2.1ubuntu1_i386.deb ...
Unpacking libcanberra-gtk0:i386 (0.30-2.1ubuntu1) ...
Selecting previously unselected package libcanberra-gtk-module:i386.
Preparing to unpack .../libcanberra-gtk-module_0.30-2.1ubuntu1_i386.deb ...
Unpacking libcanberra-gtk-module:i386 (0.30-2.1ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Setting up libsystemd0:i386 (229-4ubuntu21.2) ...
Setting up libxau6:i386 (1:1.0.8-1) ...
Setting up libxdmcp6:i386 (1:1.1.2-1.1) ...
Setting up libxcb1:i386 (1.11.1-1ubuntu1) ...
Setting up libx11-6:i386 (2:1.6.3-1ubuntu2) ...
Setting up libxext6:i386 (2:1.3.3-1) ...
Setting up libjpeg-turbo8:i386 (1.4.2-0ubuntu3) ...
Setting up libogg0:i386 (1.3.2-1) ...
Setting up libxcomposite1:i386 (1:0.4.4-1) ...
Setting up libxdamage1:i386 (1:1.1.4-2) ...
Setting up libxfixes3:i386 (1:5.0.1-2) ...
Setting up libxinerama1:i386 (2:1.1.3-1) ...
Setting up libcomerr2:i386 (1.42.13-1ubuntu1) ...
Setting up zlib1g:i386 (1:1.2.8.dfsg-2ubuntu4.1) ...
Setting up libexpat1:i386 (2.1.0-7ubuntu0.16.04.3) ...
Setting up libffi6:i386 (3.2.1-4) ...
Setting up libgmp10:i386 (2:6.1.0+dfsg-2) ...
Setting up libnettle6:i386 (3.2-1ubuntu0.16.04.1) ...
Setting up libhogweed4:i386 (3.2-1ubuntu0.16.04.1) ...
Setting up libidn11:i386 (1.32-3ubuntu1.2) ...
Setting up libp11-kit0:i386 (0.23.2-5~ubuntu16.04.1) ...
Setting up libtasn1-6:i386 (4.7-3ubuntu0.16.04.3) ...
Setting up libgnutls30:i386 (3.4.10-4ubuntu1.4) ...
Setting up libpng12-0:i386 (1.2.54-1ubuntu1) ...
Setting up libdbus-1-3:i386 (1.10.6-1ubuntu3.3) ...
Setting up libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Setting up libkrb5support0:i386 (1.13.2+dfsg-5ubuntu2) ...
Setting up libk5crypto3:i386 (1.13.2+dfsg-5ubuntu2) ...
Setting up libkeyutils1:i386 (1.5.9-8ubuntu1) ...
Setting up libkrb5-3:i386 (1.13.2+dfsg-5ubuntu2) ...
Setting up libgssapi-krb5-2:i386 (1.13.2+dfsg-5ubuntu2) ...
Setting up libfreetype6:i386 (2.6.1-0.1ubuntu2.3) ...
Setting up libfontconfig1:i386 (2.11.94-0ubuntu1.1) ...
Setting up libpixman-1-0:i386 (0.33.6-1) ...
Setting up libxcb-render0:i386 (1.11.1-1ubuntu1) ...
Setting up libxcb-shm0:i386 (1.11.1-1ubuntu1) ...
Setting up libxrender1:i386 (1:0.9.9-0ubuntu1) ...
Setting up libcairo2:i386 (1.14.6-1) ...
Setting up libjpeg8:i386 (8c-2ubuntu8) ...
Setting up libjbig0:i386 (2.1-3.1+deb.sury.org~xenial+1) ...
Setting up libtiff5:i386 (4.0.6-1ubuntu0.4) ...
Setting up libgdk-pixbuf2.0-0:i386 (2.32.2-1ubuntu1.4) ...
Setting up libatk1.0-0:i386 (2.18.0-1) ...
Setting up libavahi-common-data:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Setting up libavahi-common3:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Setting up libavahi-client3:i386 (0.6.32~rc+dfsg-1ubuntu2.2) ...
Setting up libcups2:i386 (2.1.3-4ubuntu0.4) ...
Setting up libdatrie1:i386 (0.2.10-2) ...
Setting up libthai0:i386 (0.1.24-2) ...
Setting up libpango-1.0-0:i386 (1.38.1-1) ...
Setting up libgraphite2-3:i386 (1.3.10-0ubuntu0.16.04.1) ...
Setting up libharfbuzz0b:i386 (1.0.1-1ubuntu0.1) ...
Setting up libpangoft2-1.0-0:i386 (1.38.1-1) ...
Setting up libpangocairo-1.0-0:i386 (1.38.1-1) ...
Setting up libxcursor1:i386 (1:1.1.14-1ubuntu0.16.04.1) ...
Setting up libxi6:i386 (2:1.7.6-1) ...
Setting up libxrandr2:i386 (2:1.5.0-1) ...
Setting up libgtk2.0-0:i386 (2.24.30-1ubuntu1.16.04.2) ...
Setting up gtk2-engines-murrine:i386 (0.98.2-0ubuntu2.2) ...
Setting up libasound2:i386 (1.1.0-0ubuntu1) ...
Setting up libatspi2.0-0:i386 (2.18.3-4ubuntu1) ...
Setting up libatk-bridge2.0-0:i386 (2.18.1-2ubuntu1) ...
Setting up libgail18:i386 (2.24.30-1ubuntu1.16.04.2) ...
Setting up libgail-common:i386 (2.24.30-1ubuntu1.16.04.2) ...
Setting up libatk-adaptor:i386 (2.18.1-2ubuntu1) ...
Setting up libltdl7:i386 (2.4.6-0.1) ...
Setting up libtdb1:i386 (1.3.8-2) ...
Setting up libvorbis0a:i386 (1.3.5-3ubuntu0.2) ...
Setting up libvorbisfile3:i386 (1.3.5-3ubuntu0.2) ...
Setting up libcanberra0:i386 (0.30-2.1ubuntu1) ...
Setting up libcanberra-gtk0:i386 (0.30-2.1ubuntu1) ...
Setting up libcanberra-gtk-module:i386 (0.30-2.1ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...

 

$sudo add-apt-repository "deb http://archive.canonical.com/ precise partner" 
$ sudo apt-get update 
Hit:1 https://deb.nodesource.com/node_4.x xenial InRelease
Hit:2 https://download.sublimetext.com apt/stable/ InRelease
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:4 http://in.archive.ubuntu.com/ubuntu xenial InRelease 
Hit:5 http://ppa.launchpad.net/alessandro-strada/ppa/ubuntu xenial InRelease 
Get:6 http://in.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB] 
Ign:7 http://dl.google.com/linux/webdesigner/deb stable InRelease 
Ign:8 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial InRelease 
Hit:9 http://dl.google.com/linux/chrome/deb stable Release 
Hit:11 http://ppa.launchpad.net/libreoffice/libreoffice-5-4/ubuntu xenial InRelease 
Get:12 http://in.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB] 
Hit:13 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease 
Hit:14 http://dl.google.com/linux/webdesigner/deb stable Release 
Hit:16 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease 
Hit:17 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease 
Hit:18 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease 
Hit:19 http://ppa.launchpad.net/yktooo/ppa/ubuntu xenial InRelease 
Ign:20 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial Release 
Ign:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Ign:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Ign:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Ign:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
Hit:28 http://packages.microsoft.com/repos/vscode stable InRelease 
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Get:29 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB] 
Ign:30 http://archive.canonical.com precise InRelease 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Get:31 http://archive.canonical.com precise Release [8,180 B] 
Get:32 http://archive.canonical.com precise Release.gpg [181 B] 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Get:33 http://archive.canonical.com precise/partner amd64 Packages [6,913 B] 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Get:34 http://archive.canonical.com precise/partner i386 Packages [7,795 B] 
Get:35 http://archive.canonical.com precise/partner Translation-en [4,440 B] 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Hit:36 http://apt.postgresql.org/pub/repos/apt xenial-pgdg InRelease 
Ign:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Err:21 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 Packages 
404 Not Found
Ign:22 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main i386 Packages 
Ign:23 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main all Packages 
Ign:24 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en_IN 
Ign:25 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main Translation-en 
Ign:26 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main amd64 DEP-11 Metadata 
Ign:27 http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial/main DEP-11 64x64 Icons 
Fetched 350 kB in 36s (9,607 B/s) 
Reading package lists... Done
W: The repository 'http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: http://archive.canonical.com/dists/precise/Release.gpg: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)
E: Failed to fetch http://ppa.launchpad.net/cairo-dock-team/ppa/ubuntu/dists/xenial/main/binary-amd64/Packages 404 Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.

 

$ sudo apt-get install adobereader-enu
Reading package lists... Done
Building dependency tree 
Reading state information... Done
Note, selecting 'acroread-bin:i386' instead of 'adobereader-enu'
The following additional packages will be installed:
cpp-5 g++-5 gcc-5 gcc-5-base gcc-5-base:i386 libasan2 libatomic1 libcc1-0 libcilkrts5 libgcc-5-dev libgfortran3 libgomp1 libice6:i386
libicu55:i386 libitm1 liblsan0 libmpx0 libpango1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libquadmath0 libsm6:i386 libstdc++-5-dev
libstdc++6 libstdc++6:i386 libtsan0 libubsan0 libxft2:i386 libxml2:i386 libxt6:i386
Suggested packages:
libldap2:i386 libgnome-speech7:i386 gcc-5-locales g++-5-multilib gcc-5-doc libstdc++6-5-dbg gcc-5-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg
libatomic1-dbg libasan2-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx0-dbg libquadmath0-dbg libstdc++-5-doc
Recommended packages:
xml-core:i386
The following NEW packages will be installed:
acroread-bin:i386 gcc-5-base:i386 libice6:i386 libicu55:i386 libpango1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libsm6:i386
libstdc++6:i386 libxft2:i386 libxml2:i386 libxt6:i386
The following packages will be upgraded:
cpp-5 g++-5 gcc-5 gcc-5-base libasan2 libatomic1 libcc1-0 libcilkrts5 libgcc-5-dev libgfortran3 libgomp1 libitm1 liblsan0 libmpx0 libquadmath0
libstdc++-5-dev libstdc++6 libtsan0 libubsan0
19 upgraded, 12 newly installed, 0 to remove and 79 not upgraded.
Need to get 69.6 MB/99.3 MB of archives.
After this operation, 178 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main i386 libxml2 i386 2.9.4-1+deb.sury.org~xenial+2 [952 kB] 
Get:2 http://archive.canonical.com precise/partner i386 acroread-bin i386 9.5.5-1precise1 [60.1 MB] 
Get:3 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libice6 i386 2:1.0.9-1 [38.2 kB] 
Get:4 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libsm6 i386 2:1.2.2-1 [14.8 kB] 
Get:5 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxft2 i386 2.3.2-1 [35.5 kB] 
Get:6 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpangox-1.0-0 i386 0.0.2-5 [43.3 kB] 
Get:7 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 gcc-5-base i386 5.4.0-6ubuntu1~16.04.10 [17.3 kB] 
Get:8 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libstdc++6 i386 5.4.0-6ubuntu1~16.04.10 [418 kB] 
Get:9 http://in.archive.ubuntu.com/ubuntu xenial-updates/main i386 libicu55 i386 55.1-7ubuntu0.4 [7,753 kB] 
Get:10 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpangoxft-1.0-0 i386 1.38.1-1 [15.9 kB] 
Get:11 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libpango1.0-0 i386 1.38.1-1 [3,458 B] 
Get:12 http://in.archive.ubuntu.com/ubuntu xenial/main i386 libxt6 i386 1:1.1.5-0ubuntu1 [164 kB] 
Fetched 69.6 MB in 17min 31s (66.1 kB/s) 
Extracting templates from packages: 100%
Selecting previously unselected package libice6:i386.
(Reading database ... 317967 files and directories currently installed.)
Preparing to unpack .../libice6_2%3a1.0.9-1_i386.deb ...
Unpacking libice6:i386 (2:1.0.9-1) ...
Selecting previously unselected package libsm6:i386.
Preparing to unpack .../libsm6_2%3a1.2.2-1_i386.deb ...
Unpacking libsm6:i386 (2:1.2.2-1) ...
Selecting previously unselected package libxft2:i386.
Preparing to unpack .../libxft2_2.3.2-1_i386.deb ...
Unpacking libxft2:i386 (2.3.2-1) ...
Selecting previously unselected package libpangox-1.0-0:i386.
Preparing to unpack .../libpangox-1.0-0_0.0.2-5_i386.deb ...
Unpacking libpangox-1.0-0:i386 (0.0.2-5) ...
Preparing to unpack .../libquadmath0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libquadmath0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libgomp1_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libgomp1:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libitm1_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libitm1:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libatomic1_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libatomic1:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libasan2_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libasan2:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../liblsan0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking liblsan0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libtsan0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libtsan0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libubsan0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libubsan0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libcilkrts5_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libcilkrts5:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libmpx0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libmpx0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../cpp-5_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking cpp-5 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libcc1-0_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libcc1-0:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../g++-5_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking g++-5 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../gcc-5_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking gcc-5 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libgcc-5-dev_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libgcc-5-dev:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libstdc++-5-dev_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libstdc++-5-dev:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../libgfortran3_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libgfortran3:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Preparing to unpack .../gcc-5-base_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking gcc-5-base:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Selecting previously unselected package gcc-5-base:i386.
Preparing to unpack .../gcc-5-base_5.4.0-6ubuntu1~16.04.10_i386.deb ...
Unpacking gcc-5-base:i386 (5.4.0-6ubuntu1~16.04.10) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up gcc-5-base:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up gcc-5-base:i386 (5.4.0-6ubuntu1~16.04.10) ...
(Reading database ... 317984 files and directories currently installed.)
Preparing to unpack .../libstdc++6_5.4.0-6ubuntu1~16.04.10_amd64.deb ...
Unpacking libstdc++6:amd64 (5.4.0-6ubuntu1~16.04.10) over (5.4.0-6ubuntu1~16.04.9) ...
Selecting previously unselected package libstdc++6:i386.
Preparing to unpack .../libstdc++6_5.4.0-6ubuntu1~16.04.10_i386.deb ...
Unpacking libstdc++6:i386 (5.4.0-6ubuntu1~16.04.10) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libstdc++6:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libstdc++6:i386 (5.4.0-6ubuntu1~16.04.10) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Selecting previously unselected package libicu55:i386.
(Reading database ... 317988 files and directories currently installed.)
Preparing to unpack .../libicu55_55.1-7ubuntu0.4_i386.deb ...
Unpacking libicu55:i386 (55.1-7ubuntu0.4) ...
Selecting previously unselected package libxml2:i386.
Preparing to unpack .../libxml2_2.9.4-1+deb.sury.org~xenial+2_i386.deb ...
Unpacking libxml2:i386 (2.9.4-1+deb.sury.org~xenial+2) ...
Selecting previously unselected package libpangoxft-1.0-0:i386.
Preparing to unpack .../libpangoxft-1.0-0_1.38.1-1_i386.deb ...
Unpacking libpangoxft-1.0-0:i386 (1.38.1-1) ...
Selecting previously unselected package libpango1.0-0:i386.
Preparing to unpack .../libpango1.0-0_1.38.1-1_i386.deb ...
Unpacking libpango1.0-0:i386 (1.38.1-1) ...
Selecting previously unselected package libxt6:i386.
Preparing to unpack .../libxt6_1%3a1.1.5-0ubuntu1_i386.deb ...
Unpacking libxt6:i386 (1:1.1.5-0ubuntu1) ...
Selecting previously unselected package acroread-bin:i386.
Preparing to unpack .../acroread-bin_9.5.5-1precise1_i386.deb ...
Unpacking acroread-bin:i386 (9.5.5-1precise1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up libice6:i386 (2:1.0.9-1) ...
Setting up libsm6:i386 (2:1.2.2-1) ...
Setting up libxft2:i386 (2.3.2-1) ...
Setting up libpangox-1.0-0:i386 (0.0.2-5) ...
Setting up libquadmath0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libgomp1:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libitm1:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libatomic1:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libasan2:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up liblsan0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libtsan0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libubsan0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libcilkrts5:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libmpx0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up cpp-5 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libcc1-0:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libgcc-5-dev:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up gcc-5 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libstdc++-5-dev:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up g++-5 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libgfortran3:amd64 (5.4.0-6ubuntu1~16.04.10) ...
Setting up libicu55:i386 (55.1-7ubuntu0.4) ...
Setting up libxml2:i386 (2.9.4-1+deb.sury.org~xenial+2) ...
Setting up libpangoxft-1.0-0:i386 (1.38.1-1) ...
Setting up libpango1.0-0:i386 (1.38.1-1) ...
Setting up libxt6:i386 (1:1.1.5-0ubuntu1) ...
Setting up acroread-bin:i386 (9.5.5-1precise1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...

 

 

how to handle “cp: omitting directory ” error Ubuntu

While copying files from one location to another, you might get following error

$ sudo cp /home/code/wordpress /var/www/localfintrekking
cp: omitting directory '/home/code/wordpress'

Here is output of ls -la command

$ ls -la
total 84
drwxrwxr-x 21 USERNAME USERNAME 4096 Apr 20 23:18 .
drwxr-xr-x 45 USERNAME USERNAME 4096 May 7 14:12 ..
drwxrwxr-x 7 USERNAME USERNAME 4096 May 5 13:52 backup
drwxrwxr-x 15 USERNAME USERNAME 4096 Sep 21 2017 bootstrap
drwxrwxr-x 3 USERNAME USERNAME 4096 Mar 8 08:31 django
drwxrwxr-x 9 USERNAME USERNAME 4096 May 5 22:05 python
drwxrwxr-x 4 USERNAME USERNAME 4096 Apr 28 18:57 wordpress

By default, cp copies only the direct files in, and not sub directories in the directory. The message cp: omitting directory ‘directory’ warns you that the mentioned directory is not copied.

You solve this problem you can follow either of following command

sudo cp -r /home/code/wordpress /var/www/localtechtrekkingcom
sudo cp -a /home/code/wordpress /var/www/localtechtrekkingcom

Details about these options

-R, -r, --recursive
copy directories recursively

-a, --archive
same as -dR --preserve=all

Important note: Address needs to be route address and not the address from relative folder